org.jgroups.protocols

## Class Executing.Request

- java.lang.Object
- - org.jgroups.protocols.Executing.Request

All Implemented Interfaces:
  Streamable

Enclosing class:
  Executing

    protected static class Executing.Request
    extends java.lang.Object
    implements Streamable

### Field Summary

Fields
`protected java.lang.Object` `object`
`protected short` `request`
`protected Executing.Type` `type`

### Constructor Summary

Constructors
Constructor and Description
`Executing.Request()`
`Executing.Request(Executing.Type type, java.lang.Object object, short request)`

### Method Summary

Methods
`void` `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`java.lang.String` `toString()`
`void` `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    protected Executing.Type type

#### object

    protected java.lang.Object object

#### request

    protected short request

### Constructor Detail

#### Executing.Request

    public Executing.Request()

#### Executing.Request

    public Executing.Request(Executing.Type type,
                     java.lang.Object object,
                     short request)

### Method Detail

#### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

Description copied from interface: `Streamable`
Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

Specified by:
  `writeTo` in interface `Streamable`
Throws:
  `java.io.IOException`

#### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

Description copied from interface: `Streamable`
Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

Specified by:
  `readFrom` in interface `Streamable`
Throws:
  `java.io.IOException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`